Skip to main content
`Ctrl`+`K`

# PetscHMapIJHas

Query for a key in the hash table

## Synopsis

    #include <petsc/private/hashmapij.h>
    PetscErrorCode PetscHMapIJHas(PetscHMapIJ ht, struct {PetscInt i, j;} key, PetscBool *has)

## Input Parameters

- ht - The hash table

- key - The key

## Output Parameter

- has - Boolean indicating whether key is in the hash table

## See Also

`PetscHMapIJGet()`, `PetscHMapIJGetWithDefault()`, `PetscHMapIJSet()`, `PetscHMapIJSetWithMode()`, `PetscHMapIJFind()`

## Level

developer

## Location

include/petsc/private/hashmap.txt.h

Index of all PetscH routines
Table of Contents for all manual pages
Index of all manual pages